import { Router } from "express";
import { AuthController } from "./auth.controller";
import { authMiddleware } from "./auth.middleware";

const authRouter = Router();

const controller = new AuthController();

authRouter.post("/login", controller.login);

authRouter.post("/logout", authMiddleware, controller.logout);

export default authRouter;